> For a complete page index, fetch https://developer.close.com/llms.txt # Create a Comment POST https://api.close.com/api/v1/comment/ Content-Type: application/json Create a comment on an object. If a comment thread already exists on that object, a new comment is added to the existing thread. If no thread exists yet, one is created automatically. Reference: https://developer.close.com/api/resources/comments/create ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects a CreateComment. - `body` (string, required) - `object_id` (string, required) ## Response ### 201 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Request** ```json { "body": "

Real nice activity you've got here.

", "object_id": "acti_abc123" } ``` **Response** ```json { "body": "

Real nice activity you've got here.

", "created_at": "2024-03-27T18:57:02.770240+00:00", "created_by": "user_abc123", "id": "comm_abc123", "lead_id": "lead_abc123", "mentions": [], "organization_id": "orga_abc123", "removed_at": null, "removed_by": null, "thread_id": "comthr_abc123", "updated_at": "2024-03-27T18:57:02.770240+00:00", "updated_by": "user_abc123" } ``` **SDK Code** ```python comments_create_example import requests url = "https://api.close.com/api/v1/comment/" payload = { "body": "

Real nice activity you've got here.

", "object_id": "acti_abc123" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript comments_create_example const url = 'https://api.close.com/api/v1/comment/'; const credentials = btoa(":"); const options = { method: 'POST', headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'}, body: '{"body":"

Real nice activity you\'ve got here.

","object_id":"acti_abc123"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go comments_create_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/comment/" payload := strings.NewReader("{\n \"body\": \"

Real nice activity you've got here.

\",\n \"object_id\": \"acti_abc123\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby comments_create_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/comment/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"body\": \"

Real nice activity you've got here.

\",\n \"object_id\": \"acti_abc123\"\n}" response = http.request(request) puts response.read_body ``` ```java comments_create_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.close.com/api/v1/comment/") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"body\": \"

Real nice activity you've got here.

\",\n \"object_id\": \"acti_abc123\"\n}") .asString(); ``` ```php comments_create_example request('POST', 'https://api.close.com/api/v1/comment/', [ 'body' => '{ "body": "

Real nice activity you\'ve got here.

", "object_id": "acti_abc123" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp comments_create_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/comment/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"body\": \"

Real nice activity you've got here.

\",\n \"object_id\": \"acti_abc123\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ```